
// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@use '~@angular/material' as mat;
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$experts-register-primary: mat.define-palette(mat.$indigo-palette);
$experts-register-accent: mat.define-palette(mat.$pink-palette, A200, A100, A400);

// The warn palette is optional (defaults to red).
$experts-register-warn: mat.define-palette(mat.$red-palette);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$experts-register-theme: mat.define-light-theme((
  color: (
    primary: $experts-register-primary,
    accent: $experts-register-accent,
    warn: $experts-register-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($experts-register-theme);

/* You can add global styles to this file, and also import other style files */

html, body {
  height: 100%;
  overflow-x: hidden;
}

body {
  margin: 0 auto;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

h1, h2 {
  text-align: center;
}

app-root {
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.main-wrapper {
  width: 100%;
  max-width: 1200px;
  margin-top: 50px;
  margin-bottom: 50px;
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: auto;
}

.label {
  color: rgba(0, 0, 0, 0.5);
  width: 100%;
  text-align: center;
}

.columns-container {
  width: 100%;
  display: flex;
  gap: 20px;
}

.rows-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.column {
  width: 100%;
  display: flex;
  flex-direction: column;
}

a {
  text-decoration: underline;
  cursor: pointer;
}

a:hover {
  color: grey;
}

.mat-table {
  width: 100%;
}

th, td {
  padding: 20px !important;
}

fieldset {
  border: none;
  padding: 0;
  margin: 0 0 25px;
}

dt {
  font-weight: bold;
}

dt::after {
  content: ':';
}

.mat-select-disabled .mat-select-value {
  color: black !important;
}
